Package fr.gouv.vitam.access.internal.common.exception

# Class AccessInternalException

java.lang.Object
java.lang.Throwable
java.lang.Exception
fr.gouv.vitam.common.exception.VitamException
fr.gouv.vitam.access.internal.common.exception.AccessInternalException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AccessInternalClientUnavailableDataFromAsyncOfferException`, `AccessInternalExecutionException`, `AccessInternalIllegalOperationException`, `AccessInternalRuleExecutionException`, `AccessInternalUnavailableDataFromAsyncOfferException`

public class AccessInternalException extends VitamException
AccessException access error

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessInternalException(String message)`
  constructor with message
  `AccessInternalException(String message, Throwable cause)`
  constructor with message and throwable
  `AccessInternalException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)`
  constructor with message throwable anableSuppression and writableStackTrace
  `AccessInternalException(Throwable cause)`
  constructor with throwable

- ## Method Summary

  ### Methods inherited from class fr.gouv.vitam.common.exception.VitamException

  `getVitamError, setVitamError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AccessInternalException

    public AccessInternalException(String message)
    constructor with message
    Parameters:
      `message` - message to associate with the exception

  - ### AccessInternalException

    public AccessInternalException(Throwable cause)
    constructor with throwable
    Parameters:
      `cause` - cause to associate with the exception

  - ### AccessInternalException

    public AccessInternalException(String message, Throwable cause)
    constructor with message and throwable
    Parameters:
      `message` - message to associate with the exception
      `cause` - cause to associate with the exception

  - ### AccessInternalException

    public AccessInternalException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)
    constructor with message throwable anableSuppression and writableStackTrace
    Parameters:
      `message` - associated message
      `cause` - associated cause
      `enableSuppression` - allow suppression or not
      `writableStackTrace` - allow writable stack trace or not